#ifdef VS
attribute  vec2 Position;
attribute  vec4 Color0;
attribute  vec2 TexCoord0; 
attribute  vec2 TexCoord1;

varying lowp vec4 vDestinationColor; 
varying mediump vec2 vTexCoordOut;
varying mediump vec2 vTexCoordOut1;

void main(void) {
	
	#ifdef  _FQUAD
		#ifdef _INV
			gl_Position = vec4(Position.x,-Position.y,0,1.0);
		#else
			gl_Position = vec4(Position.xy,0,1.0);
		#endif

	#else 
		#ifdef _INV
			gl_Position=vec4(2.0*(Position.x-0.5),2.0*(Position.y-0.5),0.0,1.0);
		#else
			gl_Position=vec4(2.0*(Position.x-0.5),-2.0*(Position.y-0.5),0.0,1.0);
		#endif 
	#endif
	
	vTexCoordOut=TexCoord0;
	vDestinationColor=Color0;
	vTexCoordOut1=TexCoord1;
}
#endif
#ifdef FS
varying lowp vec4 vDestinationColor;
varying mediump vec2 vTexCoordOut;
varying mediump vec2 vTexCoordOut1; 

uniform lowp sampler2D Tex0; 
uniform lowp sampler2D Tex1; 

void main(void) 
{
	lowp vec4 color=texture2D(Tex0, vTexCoordOut);
	#ifdef _Tex1
		color *= texture2D(Tex1, vTexCoordOut1);
	#else
		mediump vec2 dummy = vTexCoordOut1;
	#endif
	#ifdef _SWAP_RB
		gl_FragColor.bgra=color*vDestinationColor;
	#else
		gl_FragColor=color*vDestinationColor;
	#endif	
}

#endif
