#ifdef VS
attribute  vec3 aPosition;
attribute  vec4 aColor0;
attribute  vec2 aTexCoord0; 

varying lowp vec4 vDestinationColor; 
varying mediump vec2 vTexCoordOut;

uniform  mediump mat4 MatViewProjection; 

void main(void) {
	mediump vec4 pos = vec4(aPosition,1.0);
	gl_Position = MatViewProjection*pos;
	vTexCoordOut=aTexCoord0;
	vDestinationColor=aColor0;
}
#endif

#ifdef FS
varying lowp vec4 vDestinationColor;
varying mediump vec2 vTexCoordOut; 

uniform lowp sampler2D Tex0; 
uniform lowp sampler2D Tex1; 

void main(void) 
{
	lowp vec4 color = texture2D(Tex0, vTexCoordOut);
	#ifdef _Tex1
		color *= texture2D(Tex1, vTexCoordOut);
	#endif
	gl_FragColor=color*vDestinationColor;
}

#endif
