varying lowp vec4 vDestinationColor;
varying mediump vec2 vTexCoordOut; 

#ifdef VS
attribute  vec2 Position;
attribute  vec4 Color0;
attribute  vec2 TexCoord0; 


void main(void) {
	gl_Position=vec4(2.0*(Position.x-0.5),2.0*(Position.y-0.5),0.0,1.0);
	vTexCoordOut=TexCoord0;
	vDestinationColor=Color0;
}
#endif
#ifdef FS

uniform mediump vec4 glowParams; 

#define MULT   glowParams.x  
#define COLOR  glowParams.y 
#define SELF   glowParams.z 

uniform mediump sampler2D colorTex; 
uniform mediump sampler2D selfTex; 

void main(void) 
{
	mediump vec4 color = SELF/8.0 * texture2D(selfTex, vTexCoordOut);
	#ifdef _ColorTex
		color += COLOR/5.0 * texture2D(colorTex, vTexCoordOut);
		
	#endif
	gl_FragColor=color*MULT;
}

#endif
