
varying lowp vec3 vNormal; 
varying mediump vec4 vTexCoord0; 


#ifdef VS

attribute vec4 aPosition; 
attribute vec3 aNormal;
attribute vec2 aTexCoord0; 


uniform  mediump mat4 MatWorld; // 4 -> 124
uniform  mediump mat4 MatViewProjection; // 4 -> 120
uniform  mediump mat4 MatView; //
uniform  mediump vec3 camPos; 
uniform  mediump vec4 Time;

uniform  mediump vec4 cloudParams;
uniform  mediump vec4 matParams;



void main(void) 
{
	mediump vec4 wpos; // = aPosition;
	mediump vec4 pos = aPosition;
	//pos.w=1.0;
	
	wpos = MatWorld*pos;
	wpos.w=1.0;
	wpos.xy += camPos.xy;
	
	gl_Position  = MatViewProjection*wpos;
	gl_Position.z = gl_Position.w-.001;
	
	vTexCoord0.xy=aTexCoord0;
	vTexCoord0.x+=matParams.w;
	vNormal = aNormal;
	#ifdef _TexClouds
		vTexCoord0.zw = wpos.xy / cloudParams.zz + cloudParams.xy * Time.xx;
	#endif
}

#endif 
#ifdef FS 

uniform mediump vec4 matParams;
uniform mediump vec4 cloudParams;

uniform sampler2D TexDiffuse; 
uniform sampler2D TexSelf; 
uniform sampler2D TexCloudsMask; 

void main(void) 
{
	lowp vec4 clouds = vec4(0.0);
	lowp vec4 color  = texture2D(TexDiffuse, vTexCoord0.xy);
	#ifdef _TexClouds
		clouds = texture2D(TexClouds, vTexCoord0.zw);
	#endif
	#ifdef _TexCloudsMask
		clouds.a *= texture2D(TexCloudsMask, vTexCoord0.xy).a;
	#endif
	
	gl_FragColor.a=color.a;
	gl_FragColor.rgb=mix(color.rgb, clouds.rgb, clouds.a) *matParams.x;
}


#endif