local hook_meta = {
	__call = function(self, ...)
		for i,v in ipairs(self) do
			if v(...) then
				break
			end
		end
	end,
	
	__index = {
		add = function(self, hook)
			table.insert(self, hook)
		end
	}
}

local function hook_table()
	local self = {}
	setmetatable(self, hook_meta)
	return self
end

return hook_table
